package org.w3c.rdf.syntax;

import org.w3c.rdf.model.*;

/**
 * A standard class used for parsing into an RDF model
 */

public class RDFModelConsumer implements RDFConsumer {
  
  RDFModel model;

  /**
   * @param an RDF model to fill with triples. This frequently will be an empty model.
   */
  public RDFModelConsumer(RDFModel empty) {
    this.model = empty;
  }

  /**
   * start is called when parsing of data is started
   */
  public void startModel () {}
  
  /**
   * end is called when parsing of data is ended
   */
  public void endModel () {}
  
  /**
   * assert is called every time a new statement within
   * RDF data model is added
   */
  public void addTriple (Resource subject, Resource predicate, RDFNode object) {

    model.add( model.createTriple(subject, predicate, object) );
  }

}
