package org.w3c.rdf.vocabulary.rdf_schema_19990303;

import org.w3c.rdf.model.*;
import org.w3c.rdf.model.impl.*;

/**
 * A convenience access to the RDFS vocabulary
 */

public interface RDFS {

  /** Namespace URI of this schema */
  public String _Namespace = "http://www.w3.org/TR/1999/PR-rdf-schema-19990303#";

  /** Indicates a resource that provides information about the subject resource */
  public Resource seeAlso = new ResourceImpl(_Namespace + "seeAlso");

  /** Use this for descriptions */
  public Resource comment = new ResourceImpl(_Namespace + "comment");

  /** Indicates a resource containing and defining the subject resource. */
  public Resource isDefinedBy = new ResourceImpl(_Namespace + "isDefinedBy");

  /** Indicates membership of a class */
  public Resource subClassOf = new ResourceImpl(_Namespace + "subClassOf");

  /** This is how we associate a class with  properties that its instances can have */
  public Resource domain = new ResourceImpl(_Namespace + "domain");

  /** The concept of Class */
  public Resource Class = new ResourceImpl(_Namespace + "Class");

  /** Indicates specialization of properties */
  public Resource subPropertyOf = new ResourceImpl(_Namespace + "subPropertyOf");

  /** Resources used to express RDF Schema constraints. */
  public Resource ConstraintResource = new ResourceImpl(_Namespace + "ConstraintResource");

  /** Properties used to express RDF Schema constraints. */
  public Resource ConstraintProperty = new ResourceImpl(_Namespace + "ConstraintProperty");

  /** This is the class that the properties _1,_2, ... that are used to represent lists and are an instance of */
  public Resource ContainerMembershipProperty = new ResourceImpl(_Namespace + "ContainerMembershipProperty");

  /** Properties that can be used in a   schema to provide constraints */
  public Resource range = new ResourceImpl(_Namespace + "range");

  /** The concept of a property. */
  public Resource Property = new ResourceImpl(_Namespace + "Property");

  /** The most general class */
  public Resource Resource = new ResourceImpl(_Namespace + "Resource");

  /** This represents the set of atomic values, eg. textual strings. */
  public Resource Literal = new ResourceImpl(_Namespace + "Literal");

  /** This represents the set Containers. */
  public Resource Container = new ResourceImpl(_Namespace + "Container");

  /** Provides a human-readable version of a resource name */
  public Resource label = new ResourceImpl(_Namespace + "label");

}
